balances.md
Balances
A Balance resource represents the current financial state of an Application identified by the linked_to query parameter.
It tracks the state of funds processed through the system, including amounts that are:
available_amountfor immediate use or disbursement.pending_amountdue to processing times, holds, or other constraints.posted_amount, which reflects the total sum (including both available and pending funds).
List Balances
- GET /balances: Retrieve a list of Balance resources.
Fetch a Balance
- GET /balances/{balance_id}: Retrieve the details of an existing Balance.
List Balance Entries
- GET /balances/{balance_id}/balance_entries: A Balance Entry reflects a change to an application's Balance due to a Transfer or a Balance Adjustment (i.e., "top-up").
You can use this endpoint to obtain a list of Balance Entry objects.
Fetch a Balance Entry
- GET /balance_entries/{balance_entry_id}: Retrieve the details of a specific Balance Entry.